<?php
# Get apiinfoVersion()

mb_internal_encoding('UTF-8');
mb_http_input('pass');
mb_http_output('pass');

require 'zabbix.config.inc.php';
require 'PhpZabbixApi_Library/ZabbixApiAbstract.class.php';
require 'PhpZabbixApi_Library/ZabbixApi.class.php';

function main($argc, $argv){
	try {
		$api = new ZabbixApi(ZABBIX_SERVER_API_URL, ZABBIX_SERVER_USER, ZABBIX_SERVER_PASSWORD);
		$res = $api->apiinfoVersion();
		var_export($res);
	} catch (Exception $e) {
		echo $e->getMessage() . "\n";
		return 1;
	}
	
	return 0;
}

exit(main($argc, $argv));
